<?php
sapp_include_once('common.php');



function form_handler()
{
    $valid = true;

    
        //check first_name
        $first_name_bad_re = "[<>]";
        $first_name = sapp_get_submit_value('first_name');
        if ('' == $first_name || ereg($first_name_bad_re, $first_name)) {
	    sapp_set_wrong('first_name', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('first_name', $first_name);
				
        //check last_name
        $last_name_bad_re = "[<>]";
        $last_name = sapp_get_submit_value('last_name');
        if ('' == $last_name || ereg($last_name_bad_re, $last_name)) {
	    sapp_set_wrong('last_name', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('last_name', $last_name);
				
        //check email
        $email = sapp_get_submit_value('email');
        if (false === check_email($email)) {
	    sapp_set_wrong('email', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('email', $email);
				
        //check company
        $company_bad_re = "[<>]";
        $company = sapp_get_submit_value('company');
        if ('' == $company || ereg($company_bad_re, $company)) {        
            sapp_set_wrong('company', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('company', $company);
				
        //check address
	$address_bad_re = "[<>]";
        $address = sapp_get_submit_value('address');
        if ('' == $address || ereg($address_bad_re, $address)) {
	    sapp_set_wrong('address', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('address', $address);
				
        //check city
        $city_bad_re = "[<>]";
        $city = sapp_get_submit_value('city');
        if ('' == $city || ereg($city_bad_re, $city)) {
	    sapp_set_wrong('city', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('city', $city);
				
        //check state
        $state_bad_re = "[<>]";
        $state = sapp_get_submit_value('state');
        if ('' == $state || ereg($state_bad_re, $state)) {
	    sapp_set_wrong('state', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('state', $state);
				
        //check zip
        $zip_bad_re = "[<>]";
        $zip = sapp_get_submit_value('zip');
        if ('' == $zip || ereg($zip_bad_re, $zip)) {
	    sapp_set_wrong('zip', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('zip', $zip);
				
        //check country
        $country_bad_re = "[<>]";
        $country = sapp_get_submit_value('country');
        if ('' == $country || ereg($country_bad_re, $country)) {
	    sapp_set_wrong('country', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('country', $country);
				
        //check phone
        $phone = sapp_get_submit_value('phone');
        if ('' == $phone || !check_phone($phone)) {
	    sapp_set_wrong('phone', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('phone', $phone);
				
        //check fax
        $fax = sapp_get_submit_value('fax');
        if ('' == $fax || !check_phone($fax)) {
	    sapp_set_wrong('fax', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('fax', $fax);
				

        //check license_number
        $license_number_bad_re = "[<>]";
        $license_number = sapp_get_submit_value('license_number');
        if ('' == $license_number || ereg($license_number_bad_re, $license_number)) {
	    sapp_set_wrong('license_number', msg('invalid_value'));
	    $valid = false;
	}
        sapp_set_param('license_number', $license_number);
				


    if (!$valid) {
        sapp_set_error(msg('invalid_values'));
        return 2;
    }

    // set application URL
    $inst_pref = sapp_get_param('install_prefix');
    $start_path = "/admin.mvc?";
    if(false){
        sapp_set_param('application_url', "cgi-bin/${inst_pref}${start_path}");
    }
    else{
        sapp_set_param('application_url', "${inst_pref}${start_path}");
    }

    return 3;
}
?>
