<?php

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
    $dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
    $dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}


function url_exists($url)
{
 $handle = @fopen($url, "r");
 if ($handle === false)
  return false;
 fclose($handle);
 return true;
}

if( url_exists(''. (sapp_get_ssl() ? 'https://' : 'http://') . sapp_get_domain_name() . '/'. sapp_get_param('install_prefix') . '/' . 'admin.mvc' )) {
    warning(msg('Merchant already installed. You should use Merchant reconfiguration.'));
}
else {

?>

<fieldset>
    <legend><?php echo msg('administrator_preferences')?></legend>

    <table class="formFields" width="100%" cellspacing="0">

    
	<tr <?php echo sapp_is_wrong('admin_login') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-admin_login"><?php echo msg('admin_login')?> <?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="admin_login" id="fid-admin_login" value="<?php echo htmlspecialchars(sapp_get_param('admin_login'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('admin_login') ? sapp_get_wrong('admin_login') : ''?></span>
	    </td>
	</tr>

        <tr <?php echo sapp_is_wrong('admin_passwd') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-admin_passwd"><?php echo msg('admin_passwd')?> <?php echo sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	    <td>
                <input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
	        <span class="hint"><?php echo sapp_is_wrong('admin_passwd') ? sapp_get_wrong('admin_passwd') : ''?></span>
	    </td>
        </tr>
							
        <tr <?php echo sapp_is_wrong('admin_passwd_confirm') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-admin_passwd_confirm"><?php echo msg('admin_passwd_confirm')?> <?php echo sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
            <td>
	        <input type="password" name="admin_passwd_confirm" id="fid-admin_passwd_confirm" value="">
                <span class="hint"><?php echo sapp_is_wrong('admin_passwd_confirm') ? sapp_get_wrong('admin_passwd_confirm') : ''?></span>
	    </td>
        </tr>



    </table>

</fieldset>


<?php
}
?>