<?php

function get_msgs() {
    $msgs = array();
    foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
        include_once($locale_filepath);
    return $msgs;
}


function msg($name, $locale = null)
{
    static $msgs;
    static $def_locale;

    if (!isset($msgs))
        $msgs = get_msgs();

    if (!isset($def_locale)) {
        $def_locale = $msgs['default'];
    }

    if (null == $locale)
        $locale = sapp_get_locale();

    if (!isset($msgs[$locale])) {
        $locale = $def_locale;
    }

    if (isset($msgs[$locale][$name]))
        return $msgs[$locale][$name];
    elseif (isset($msgs[$def_locale][$name]))
        return $msgs[$def_locale][$name];
    else
        return $name;
}


function get_state()
{
    return array (	
        " Outside_US" => msg(" Outside_US_STATE"),        " AL" => msg(" AL_STATE"),        " AK" => msg(" AK_STATE"),        " AZ" => msg(" AZ_STATE"),        " AR" => msg(" AR_STATE"),        " CA" => msg(" CA_STATE"),        " CO" => msg(" CO_STATE"),        " CT" => msg(" CT_STATE"),        " DE" => msg(" DE_STATE"),        " DC" => msg(" DC_STATE"),        " FL" => msg(" FL_STATE"),        " GA" => msg(" GA_STATE"),        " HI" => msg(" HI_STATE"),        " ID" => msg(" ID_STATE"),        " IL" => msg(" IL_STATE"),        " IN" => msg(" IN_STATE"),        " IA" => msg(" IA_STATE"),        " KS" => msg(" KS_STATE"),        " KY" => msg(" KY_STATE"),        " LA" => msg(" LA_STATE"),        " ME" => msg(" ME_STATE"),        " MD" => msg(" MD_STATE"),        " MA" => msg(" MA_STATE"),        " MI" => msg(" MI_STATE"),        " MN" => msg(" MN_STATE"),        " MS" => msg(" MS_STATE"),        " MO" => msg(" MO_STATE"),        " MT" => msg(" MT_STATE"),        " NE" => msg(" NE_STATE"),        " NV" => msg(" NV_STATE"),        " NH" => msg(" NH_STATE"),        " NJ" => msg(" NJ_STATE"),        " NM" => msg(" NM_STATE"),        " NY" => msg(" NY_STATE"),        " NC" => msg(" NC_STATE"),        " ND" => msg(" ND_STATE"),        " OH" => msg(" OH_STATE"),        " OK" => msg(" OK_STATE"),        " OR" => msg(" OR_STATE"),        " PA" => msg(" PA_STATE"),        " RI" => msg(" RI_STATE"),        " SC" => msg(" SC_STATE"),        " SD" => msg(" SD_STATE"),        " TN" => msg(" TN_STATE"),        " TX" => msg(" TX_STATE"),        " UT" => msg(" UT_STATE"),        " VT" => msg(" VT_STATE"),        " VA" => msg(" VA_STATE"),        " WA" => msg(" WA_STATE"),        " WV" => msg(" WV_STATE"),        " WI" => msg(" WI_STATE"),        " WY" => msg(" WY_STATE"),
    );
}
					function get_country()
{
    return array (	
        " AF" => msg(" AF_COUNTRY"),        " AL" => msg(" AL_COUNTRY"),        " DZ" => msg(" DZ_COUNTRY"),        " AS" => msg(" AS_COUNTRY"),        " AD" => msg(" AD_COUNTRY"),        " AO" => msg(" AO_COUNTRY"),        " AI" => msg(" AI_COUNTRY"),        " AQ" => msg(" AQ_COUNTRY"),        " AG" => msg(" AG_COUNTRY"),        " AG" => msg(" AG_COUNTRY"),        " AR" => msg(" AR_COUNTRY"),        " AM" => msg(" AM_COUNTRY"),        " AW" => msg(" AW_COUNTRY"),        " AU" => msg(" AU_COUNTRY"),        " AT" => msg(" AT_COUNTRY"),        " AZ" => msg(" AZ_COUNTRY"),        " BS" => msg(" BS_COUNTRY"),        " BH" => msg(" BH_COUNTRY"),        " BD" => msg(" BD_COUNTRY"),        " BB" => msg(" BB_COUNTRY"),        " BY" => msg(" BY_COUNTRY"),        " BE" => msg(" BE_COUNTRY"),        " BZ" => msg(" BZ_COUNTRY"),        " BJ" => msg(" BJ_COUNTRY"),        " BM" => msg(" BM_COUNTRY"),        " BT" => msg(" BT_COUNTRY"),        " BO" => msg(" BO_COUNTRY"),        " BA" => msg(" BA_COUNTRY"),        " BA" => msg(" BA_COUNTRY"),        " BW" => msg(" BW_COUNTRY"),        " BV" => msg(" BV_COUNTRY"),        " BR" => msg(" BR_COUNTRY"),        " IO" => msg(" IO_COUNTRY"),        " BN" => msg(" BN_COUNTRY"),        " BG" => msg(" BG_COUNTRY"),        " BF" => msg(" BF_COUNTRY"),        " BI" => msg(" BI_COUNTRY"),        " KH" => msg(" KH_COUNTRY"),        " CM" => msg(" CM_COUNTRY"),        " CA" => msg(" CA_COUNTRY"),        " CV" => msg(" CV_COUNTRY"),        " KY" => msg(" KY_COUNTRY"),        " CF" => msg(" CF_COUNTRY"),        " TD" => msg(" TD_COUNTRY"),        " CL" => msg(" CL_COUNTRY"),        " CN" => msg(" CN_COUNTRY"),        " CX" => msg(" CX_COUNTRY"),        " CC" => msg(" CC_COUNTRY"),        " CO" => msg(" CO_COUNTRY"),        " KM" => msg(" KM_COUNTRY"),        " CG" => msg(" CG_COUNTRY"),        " CK" => msg(" CK_COUNTRY"),        " CR" => msg(" CR_COUNTRY"),        " CI" => msg(" CI_COUNTRY"),        " HR" => msg(" HR_COUNTRY"),        " CU" => msg(" CU_COUNTRY"),        " CY" => msg(" CY_COUNTRY"),        " CZ" => msg(" CZ_COUNTRY"),        " DK" => msg(" DK_COUNTRY"),        " DJ" => msg(" DJ_COUNTRY"),        " DM" => msg(" DM_COUNTRY"),        " DO" => msg(" DO_COUNTRY"),        " TP" => msg(" TP_COUNTRY"),        " EC" => msg(" EC_COUNTRY"),        " EG" => msg(" EG_COUNTRY"),        " SV" => msg(" SV_COUNTRY"),        " GQ" => msg(" GQ_COUNTRY"),        " ER" => msg(" ER_COUNTRY"),        " EE" => msg(" EE_COUNTRY"),        " ET" => msg(" ET_COUNTRY"),        " FK" => msg(" FK_COUNTRY"),        " FO" => msg(" FO_COUNTRY"),        " FJ" => msg(" FJ_COUNTRY"),        " FI" => msg(" FI_COUNTRY"),        " FR" => msg(" FR_COUNTRY"),        " FX" => msg(" FX_COUNTRY"),        " GF" => msg(" GF_COUNTRY"),        " PF" => msg(" PF_COUNTRY"),        " TF" => msg(" TF_COUNTRY"),        " GA" => msg(" GA_COUNTRY"),        " GM" => msg(" GM_COUNTRY"),        " GE" => msg(" GE_COUNTRY"),        " DE" => msg(" DE_COUNTRY"),        " GH" => msg(" GH_COUNTRY"),        " GI" => msg(" GI_COUNTRY"),        " GR" => msg(" GR_COUNTRY"),        " GL" => msg(" GL_COUNTRY"),        " GD" => msg(" GD_COUNTRY"),        " GP" => msg(" GP_COUNTRY"),        " GU" => msg(" GU_COUNTRY"),        " GT" => msg(" GT_COUNTRY"),        " GN" => msg(" GN_COUNTRY"),        " GW" => msg(" GW_COUNTRY"),        " GY" => msg(" GY_COUNTRY"),        " HT" => msg(" HT_COUNTRY"),        " HM" => msg(" HM_COUNTRY"),        " HM" => msg(" HM_COUNTRY"),        " HN" => msg(" HN_COUNTRY"),        " HK" => msg(" HK_COUNTRY"),        " HU" => msg(" HU_COUNTRY"),        " IS" => msg(" IS_COUNTRY"),        " IN" => msg(" IN_COUNTRY"),        " ID" => msg(" ID_COUNTRY"),        " IR" => msg(" IR_COUNTRY"),        " IQ" => msg(" IQ_COUNTRY"),        " IE" => msg(" IE_COUNTRY"),        " IL" => msg(" IL_COUNTRY"),        " IT" => msg(" IT_COUNTRY"),        " JM" => msg(" JM_COUNTRY"),        " JP" => msg(" JP_COUNTRY"),        " JO" => msg(" JO_COUNTRY"),        " KZ" => msg(" KZ_COUNTRY"),        " KE" => msg(" KE_COUNTRY"),        " KI" => msg(" KI_COUNTRY"),        " KP" => msg(" KP_COUNTRY"),        " KR" => msg(" KR_COUNTRY"),        " KW" => msg(" KW_COUNTRY"),        " KG" => msg(" KG_COUNTRY"),        " LA" => msg(" LA_COUNTRY"),        " LB" => msg(" LB_COUNTRY"),        " LV" => msg(" LV_COUNTRY"),        " LS" => msg(" LS_COUNTRY"),        " LR" => msg(" LR_COUNTRY"),        " LY" => msg(" LY_COUNTRY"),        " LI" => msg(" LI_COUNTRY"),        " LT" => msg(" LT_COUNTRY"),        " LU" => msg(" LU_COUNTRY"),        " MO" => msg(" MO_COUNTRY"),        " MG" => msg(" MG_COUNTRY"),        " MW" => msg(" MW_COUNTRY"),        " MY" => msg(" MY_COUNTRY"),        " MV" => msg(" MV_COUNTRY"),        " ML" => msg(" ML_COUNTRY"),        " MT" => msg(" MT_COUNTRY"),        " MH" => msg(" MH_COUNTRY"),        " MQ" => msg(" MQ_COUNTRY"),        " MR" => msg(" MR_COUNTRY"),        " MU" => msg(" MU_COUNTRY"),        " YT" => msg(" YT_COUNTRY"),        " MX" => msg(" MX_COUNTRY"),        " FM" => msg(" FM_COUNTRY"),        " MD" => msg(" MD_COUNTRY"),        " MC" => msg(" MC_COUNTRY"),        " MN" => msg(" MN_COUNTRY"),        " MS" => msg(" MS_COUNTRY"),        " MA" => msg(" MA_COUNTRY"),        " MZ" => msg(" MZ_COUNTRY"),        " MM" => msg(" MM_COUNTRY"),        " NA" => msg(" NA_COUNTRY"),        " NR" => msg(" NR_COUNTRY"),        " NP" => msg(" NP_COUNTRY"),        " NL" => msg(" NL_COUNTRY"),        " AN" => msg(" AN_COUNTRY"),        " NT" => msg(" NT_COUNTRY"),        " NC" => msg(" NC_COUNTRY"),        " NZ" => msg(" NZ_COUNTRY"),        " NI" => msg(" NI_COUNTRY"),        " NE" => msg(" NE_COUNTRY"),        " NG" => msg(" NG_COUNTRY"),        " NU" => msg(" NU_COUNTRY"),        " NF" => msg(" NF_COUNTRY"),        " MP" => msg(" MP_COUNTRY"),        " NO" => msg(" NO_COUNTRY"),        " OM" => msg(" OM_COUNTRY"),        " PK" => msg(" PK_COUNTRY"),        " PW" => msg(" PW_COUNTRY"),        " PA" => msg(" PA_COUNTRY"),        " PG" => msg(" PG_COUNTRY"),        " PY" => msg(" PY_COUNTRY"),        " PE" => msg(" PE_COUNTRY"),        " PH" => msg(" PH_COUNTRY"),        " PN" => msg(" PN_COUNTRY"),        " PL" => msg(" PL_COUNTRY"),        " PT" => msg(" PT_COUNTRY"),        " PR" => msg(" PR_COUNTRY"),        " QA" => msg(" QA_COUNTRY"),        " RE" => msg(" RE_COUNTRY"),        " RO" => msg(" RO_COUNTRY"),        " RU" => msg(" RU_COUNTRY"),        " RW" => msg(" RW_COUNTRY"),        " SH" => msg(" SH_COUNTRY"),        " KN" => msg(" KN_COUNTRY"),        " KN" => msg(" KN_COUNTRY"),        " LC" => msg(" LC_COUNTRY"),        " PM" => msg(" PM_COUNTRY"),        " PM" => msg(" PM_COUNTRY"),        " VC" => msg(" VC_COUNTRY"),        " VC" => msg(" VC_COUNTRY"),        " WS" => msg(" WS_COUNTRY"),        " SM" => msg(" SM_COUNTRY"),        " ST" => msg(" ST_COUNTRY"),        " ST" => msg(" ST_COUNTRY"),        " SA" => msg(" SA_COUNTRY"),        " SN" => msg(" SN_COUNTRY"),        " SC" => msg(" SC_COUNTRY"),        " SL" => msg(" SL_COUNTRY"),        " SG" => msg(" SG_COUNTRY"),        " SK" => msg(" SK_COUNTRY"),        " SI" => msg(" SI_COUNTRY"),        " SB" => msg(" SB_COUNTRY"),        " SO" => msg(" SO_COUNTRY"),        " ZA" => msg(" ZA_COUNTRY"),        " GS" => msg(" GS_COUNTRY"),        " GS" => msg(" GS_COUNTRY"),        " ES" => msg(" ES_COUNTRY"),        " LK" => msg(" LK_COUNTRY"),        " SD" => msg(" SD_COUNTRY"),        " SR" => msg(" SR_COUNTRY"),        " SJ" => msg(" SJ_COUNTRY"),        " SJ" => msg(" SJ_COUNTRY"),        " SZ" => msg(" SZ_COUNTRY"),        " SE" => msg(" SE_COUNTRY"),        " CH" => msg(" CH_COUNTRY"),        " SY" => msg(" SY_COUNTRY"),        " TW" => msg(" TW_COUNTRY"),        " TJ" => msg(" TJ_COUNTRY"),        " TZ" => msg(" TZ_COUNTRY"),        " TH" => msg(" TH_COUNTRY"),        " TG" => msg(" TG_COUNTRY"),        " TK" => msg(" TK_COUNTRY"),        " TO" => msg(" TO_COUNTRY"),        " TT" => msg(" TT_COUNTRY"),        " TT" => msg(" TT_COUNTRY"),        " TN" => msg(" TN_COUNTRY"),        " TR" => msg(" TR_COUNTRY"),        " TM" => msg(" TM_COUNTRY"),        " TC" => msg(" TC_COUNTRY"),        " TC" => msg(" TC_COUNTRY"),        " TV" => msg(" TV_COUNTRY"),        " UG" => msg(" UG_COUNTRY"),        " UA" => msg(" UA_COUNTRY"),        " AE" => msg(" AE_COUNTRY"),        " GB" => msg(" GB_COUNTRY"),        " US" => msg(" US_COUNTRY"),        " UM" => msg(" UM_COUNTRY"),        " UY" => msg(" UY_COUNTRY"),        " UZ" => msg(" UZ_COUNTRY"),        " VU" => msg(" VU_COUNTRY"),        " VA" => msg(" VA_COUNTRY"),        " VE" => msg(" VE_COUNTRY"),        " VN" => msg(" VN_COUNTRY"),        " VG" => msg(" VG_COUNTRY"),        " VI" => msg(" VI_COUNTRY"),        " WF" => msg(" WF_COUNTRY"),        " WF" => msg(" WF_COUNTRY"),        " EH" => msg(" EH_COUNTRY"),        " YE" => msg(" YE_COUNTRY"),        " YU" => msg(" YU_COUNTRY"),        " ZR" => msg(" ZR_COUNTRY"),        " ZW" => msg(" ZW_COUNTRY"),
    );
}
					

?>