<?php

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
    $dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
    $dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}


?>



<fieldset>
    <legend><?php echo msg('domain_owner_preferences')?></legend>
	
    <table class="formFields" width="100%" cellspacing="0">
	
    
	<tr <?php echo sapp_is_wrong('first_name') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-first_name"><?php echo msg('first_name')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="first_name" id="fid-first_name" value="<?php echo htmlspecialchars(sapp_get_param('first_name'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('first_name') ? sapp_get_wrong('first_name') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('last_name') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-last_name"><?php echo msg('last_name')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="last_name" id="fid-last_name" value="<?php echo htmlspecialchars(sapp_get_param('last_name'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('last_name') ? sapp_get_wrong('last_name') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('email') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-email"><?php echo msg('email')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="email" id="fid-email" value="<?php echo htmlspecialchars(sapp_get_param('email'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('email') ? sapp_get_wrong('email') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('company') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-company"><?php echo msg('company')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="company" id="fid-company" value="<?php echo htmlspecialchars(sapp_get_param('company'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('company') ? sapp_get_wrong('company') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('address') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-address"><?php echo msg('address')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="address" id="fid-address" value="<?php echo htmlspecialchars(sapp_get_param('address'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('address') ? sapp_get_wrong('address') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('city') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-city"><?php echo msg('city')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="city" id="fid-city" value="<?php echo htmlspecialchars(sapp_get_param('city'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('city') ? sapp_get_wrong('city') : ''?></span>
	    </td>
	</tr>
							
							
    <tr <?php echo sapp_is_wrong('state') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-theme"><?php echo msg('state')?></label></td>
	<td>
	    <SELECT name="state"><?php
	        foreach (get_state() AS $state_key => $state_name)
	        echo '<OPTION value="' . $state_key . '" ' . (sapp_get_param('state') == $state_key ? 'SELECTED' : '') . '>' . $state_name.'</OPTION>';?>
	    </SELECT>

	    <span class="hint"><?php echo sapp_is_wrong('state') ? sapp_get_wrong('state') : ''?></span>
	</td>
    </tr>
							
	<tr <?php echo sapp_is_wrong('zip') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-zip"><?php echo msg('zip')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="zip" id="fid-zip" value="<?php echo htmlspecialchars(sapp_get_param('zip'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('zip') ? sapp_get_wrong('zip') : ''?></span>
	    </td>
	</tr>
							
							
    <tr <?php echo sapp_is_wrong('country') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-theme"><?php echo msg('country')?></label></td>
	<td>
	    <SELECT name="country"><?php
	        foreach (get_country() AS $country_key => $country_name)
	        echo '<OPTION value="' . $country_key . '" ' . (sapp_get_param('country') == $country_key ? 'SELECTED' : '') . '>' . $country_name.'</OPTION>';?>
	    </SELECT>

	    <span class="hint"><?php echo sapp_is_wrong('country') ? sapp_get_wrong('country') : ''?></span>
	</td>
    </tr>
							
	<tr <?php echo sapp_is_wrong('phone') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-phone"><?php echo msg('phone')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="phone" id="fid-phone" value="<?php echo htmlspecialchars(sapp_get_param('phone'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('phone') ? sapp_get_wrong('phone') : ''?></span>
	    </td>
	</tr>
							
							
	<tr <?php echo sapp_is_wrong('fax') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-fax"><?php echo msg('fax')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="fax" id="fid-fax" value="<?php echo htmlspecialchars(sapp_get_param('fax'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('fax') ? sapp_get_wrong('fax') : ''?></span>
	    </td>
	</tr>
							
							

    																					
    </table>
																					
</fieldset>
																						<fieldset>
    <legend><?php echo msg('license_preferences')?></legend>
	
    <table class="formFields" width="100%" cellspacing="0">
	
    
	<tr <?php echo sapp_is_wrong('license_number') ? 'class="error"' : ''?>>
	    <td class="name"><label for="fid-license_number"><?php echo msg('license_number')?>&nbsp;<?php echo REQ?></label></td>
	    <td>
	        <input type="text" name="license_number" id="fid-license_number" value="<?php echo htmlspecialchars(sapp_get_param('license_number'))?>">
	        <span class="hint"><?php echo sapp_is_wrong('license_number') ? sapp_get_wrong('license_number') : ''?></span>
                <div class="hint">
                    <P>
			MIVA License Number should be used when you install
			MIVA, but please specify SWsoft License ID when you contact SWsoft about
			license questions
                    </P>
                </div>
	    </td>
	</tr>
							
							

    																					
    </table>

</fieldset>
																						
